
#
# Les variables suivantes doivent exister pour ce Makefile :
#
# TOP_DIR	- le repertoire contenant "enonces" et "src"
# NUMERO	- le numero du TD
# FEUILLE	- le nom de base du fichier de la feuille de TD
# FICHIERS	- les fichiers utilises par le TD, relatifs a "src"

FEUILLEPDF = $(FEUILLE).pdf
FEUILLEPS = $(FEUILLE).ps


.PHONY: all


all: $(FEUILLEPDF)

$(FEUILLE).dvi: $(FEUILLE).tex
	latex $(FEUILLE).tex && latex $(FEUILLE).tex

$(FEUILLEPS): $(FEUILLE).dvi
	dvips $(FEUILLE).dvi -o $(FEUILLEPS)

$(FEUILLEPDF): $(FEUILLE).tex
	       pdflatex $(FEUILLE).tex && pdflatex $(FEUILLE).tex
#	       mv $(FEUILLE).pdf $(FEUILLEPDF)

.PHONY: clean
clean:
	-rm -f  $(FEUILLE).aux $(FEUILLE).log $(FEUILLE).dvi

.PHONY: mrproper
mrproper: clean
	-rm -f  $(FEUILLEPDF)  $(FEUILLE).dvi *~
